Subject: [Mgb-v8] Rotting paper work

From: Barrie Robinson <[email-masked]>
Date: Fri, 20 Apr 2012 14:55:33 -0400

Mike,

I cleared out my postal receipts box as some were beginning to 
rot.  I did recover one showing I sent you something on the 26th Oct 
2010. I am assuming that it has something to do with your business - 
or have you stopped doing that now?

Please let me know what I sent you so I can move on

Regards
Barrie Robinson

P.S    Do you know anyone who does steering wheels?

Regards

Barrie
[email-masked]
705-721-9060 
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $11.47
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/mgb-v8/[email-masked]